%define with_version %{?_with_version:1}%{!?_with_version:0}

Name:           mod_realip2
Version:        1.1
Release:        2%{?dist}
Summary:        Module rewrites connection's Remote IP to value of X-Real-IP header.

Group:          System Environment/Daemons
License:        Apache Software License
Source0:         mod_realip2.c
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  httpd-devel
Requires:       httpd

%description
mod_realip2 is an Apache 2 module for rewriting connection's Remote IP
to value of a X-Real-IP header. The module is IPv6 compatible.
It is free software, licensed under the Apache license.

Building option:
        --with version : add the module info to server version string.


%prep
%setup -T -c
%{__cp} %{SOURCE0} .


%build
/usr/sbin/apxs %{?_with_version:-DREALIP2_VERSION_SHOW} -c mod_realip2.c


%install
rm -rf  %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -Dp .libs/mod_realip2.so %{buildroot}%{_libdir}/httpd/modules/mod_realip2.so

cat << EOF > %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_realip2.conf
#
# This module rewrites connection's Remote IP to value of X-Real-IP.
#

LoadModule realip2_module modules/mod_realip2.so
#
# RealIP On
# RealIPProxy 127.0.0.1 192.168.0.1
# RealIPHeader X-Real-IP

EOF


%clean
rm -rf %{buildroot}


%files
%defattr (-,root,root)
%{_libdir}/httpd/modules/mod_realip2.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_realip2.conf



%changelog
* Wed Dec 24 2009 Denis Frolov <d.frolov81@mail.ru> 1.1-2
- Rebuild for CentALT

* Thu Feb 14 2008 Olexander Shtepa <isk@idegroup.com> 1.1-1
- Move the `realip2_post_read_request' handler from being APR_HOOK_MIDDLE to
  APR_HOOK_FIRST to make the module run before modules like mod_geoip (from mod_rpaf).

* Mon Dec 10 2007 Olexander Shtepa <isk@idegroup.com> 1.0-1
- Initial build
